Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.definition
Class AspectDefinition

    java.lang.Object
      org.codehaus.aspectwerkz.definition.AspectDefinition

    public class AspectDefinition

extends Object

Holds the meta-data for the aspect.

Author:
  Jonas Bonr , Alexandre Vasseur

Field Summary
`static String` | `ASPECTWERKZ_ASPECT_MODEL_TYPE` The default aspectwerkz aspect model type id.

Constructor Summary
`AspectDefinition(String name, ClassInfo classInfo, SystemDefinition systemDefinition)` Creates a new aspect meta-data instance.

Method Summary
`void` | `addAfterAdviceDefinition(AdviceDefinition adviceDef)` Adds a new after advice.
`void` | `addAroundAdviceDefinition(AdviceDefinition adviceDef)` Adds a new around advice.
`void` | `addBeforeAdviceDefinition(AdviceDefinition adviceDef)` Adds a new before advice.
`void` | `addInterfaceIntroductionDefinition(InterfaceIntroductionDefinition interfaceIntroDef)` Adds a new pure interface introduction.
`void` | `addParameter(String name, String value)` Adds a new parameter to the advice.
`void` | `addPointcutDefinition(PointcutDefinition pointcutDef)` Adds a new pointcut definition.
`List` | `getAdviceDefinitions()` Returns all the advices for this aspect.
`List` | `getAfterAdviceDefinitions()` Returns the after advices.
`List` | `getAroundAdviceDefinitions()` Returns the around advices.
`String` | `getAspectModel()` Returns the aspect model.
`List` | `getBeforeAdviceDefinitions()` Returns the before advices.
`ClassInfo` | `getClassInfo()` Returns the class info.
`String` | `getClassName()` Returns the class name.
`String` | `getContainerClassName()` Returns the name of the container implementation class.
`DeploymentModel` | `getDeploymentModel()` Returns the deployment model.
`List` | `getInterfaceIntroductionDefinitions()` Returns the interface introductions.
`String` | `getName()` Returns the name for the advice
`Map` | `getParameters()` Returns the parameters as a Map.
`Collection` | `getPointcutDefinitions()` Returns the pointcuts.
`String` | `getQualifiedName()` Returns the fully qualified name for the advice
`SystemDefinition` | `getSystemDefinition()` Returns the system definition.
`boolean` | `isAspectWerkzAspect()` Checks if the aspect defined is an AspectWerkz aspect.
`void` | `setAspectModel(String aspectModelType)` Sets the aspect model.
`void` | `setContainerClassName(String containerClassName)` Sets the name of the container implementation class.
`void` | `setDeploymentModel(DeploymentModel deploymentModel)` Sets the deployment model.
`void` | `setName(String name)` Sets the name for the aspect.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ASPECTWERKZ_ASPECT_MODEL_TYPE

    public static final String ASPECTWERKZ_ASPECT_MODEL_TYPE

  The default aspectwerkz aspect model type id.

  See Also:
    Constant Field Values

Constructor Detail

### AspectDefinition

    public AspectDefinition(String name,
                            ClassInfo classInfo,
                            SystemDefinition systemDefinition)

  Creates a new aspect meta-data instance.

  Parameters:
    `name` - the name of the aspect
    `classInfo` - the class info for the aspect
    `systemDefinition` -

Method Detail

### getName

    public String getName()

  Returns the name for the advice

  Returns:
    the name

### setName

    public void setName(String name)

  Sets the name for the aspect.

  Parameters:
    `name` - the name

### getQualifiedName

    public String getQualifiedName()

  Returns the fully qualified name for the advice

  Returns:
    the fully qualified name

### getSystemDefinition

    public SystemDefinition getSystemDefinition()

  Returns the system definition.

  Returns:

### getClassName

    public String getClassName()

  Returns the class name.

  Returns:
    the class name

### getClassInfo

    public ClassInfo getClassInfo()

  Returns the class info.

  Returns:
    the class info

### getAspectModel

    public String getAspectModel()

  Returns the aspect model.

  Returns:
    the aspect model

### isAspectWerkzAspect

    public boolean isAspectWerkzAspect()

  Checks if the aspect defined is an AspectWerkz aspect.

  Returns:

### setAspectModel

    public void setAspectModel(String aspectModelType)

  Sets the aspect model.

  Parameters:
    `aspectModelType` - the aspect model

### setDeploymentModel

    public void setDeploymentModel(DeploymentModel deploymentModel)

  Sets the deployment model.

  Parameters:
    `deploymentModel` - the deployment model

### getDeploymentModel

    public DeploymentModel getDeploymentModel()

  Returns the deployment model.

  Returns:
    the deployment model

### addAroundAdviceDefinition

    public void addAroundAdviceDefinition(AdviceDefinition adviceDef)

  Adds a new around advice.

  Parameters:
    `adviceDef` - the around advice

### getAroundAdviceDefinitions

    public List getAroundAdviceDefinitions()

  Returns the around advices.

  Returns:
    the around advices

### addBeforeAdviceDefinition

    public void addBeforeAdviceDefinition(AdviceDefinition adviceDef)

  Adds a new before advice.

  Parameters:
    `adviceDef` - the before advice

### getBeforeAdviceDefinitions

    public List getBeforeAdviceDefinitions()

  Returns the before advices.

  Returns:
    the before advices

### addAfterAdviceDefinition

    public void addAfterAdviceDefinition(AdviceDefinition adviceDef)

  Adds a new after advice.

  Parameters:
    `adviceDef` - the after advice

### getAfterAdviceDefinitions

    public List getAfterAdviceDefinitions()

  Returns the after advices.

  Returns:
    the after advices

### addInterfaceIntroductionDefinition

    public void addInterfaceIntroductionDefinition(InterfaceIntroductionDefinition interfaceIntroDef)

  Adds a new pure interface introduction.

  Parameters:
    `interfaceIntroDef` - the introduction

### getInterfaceIntroductionDefinitions

    public List getInterfaceIntroductionDefinitions()

  Returns the interface introductions.

  Returns:
    the introductions

### addPointcutDefinition

    public void addPointcutDefinition(PointcutDefinition pointcutDef)

  Adds a new pointcut definition.

  Parameters:
    `pointcutDef` - the pointcut definition

### getPointcutDefinitions

    public Collection getPointcutDefinitions()

  Returns the pointcuts.

  Returns:
    the pointcuts

### addParameter

    public void addParameter(String name,
                             String value)

  Adds a new parameter to the advice.

  Parameters:
    `name` - the name of the parameter
    `value` - the value for the parameter

### getParameters

    public Map getParameters()

  Returns the parameters as a Map.

  Returns:
    the parameters

### setContainerClassName

    public void setContainerClassName(String containerClassName)

  Sets the name of the container implementation class.

  Parameters:
    `containerClassName` - the container class name

### getContainerClassName

    public String getContainerClassName()

  Returns the name of the container implementation class.

  Returns:
    the container class name

### getAdviceDefinitions

    public List getAdviceDefinitions()

  Returns all the advices for this aspect.

  Returns:
    all the advices

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.